﻿@model PROJETMODELE.Models.VML.TP.Ristourne_ClientVM
@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" style="width:418px; height:205px">
    <div>Ajout</div>
    <div class="forms">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            @Html.HiddenFor(model => model.ID_Client)
            <table>

                <tr>
                    <td> @Html.LabelFor(model => model.Date)</td>
                    <td>  @HTML_OUF.DateTimePicker("Date", Model.Date, "280")</td>
                </tr>
                <tr>
                    <td> @Html.LabelFor(model => model.ID_Produit)</td>
                    <td>  @HTML_OUF.DropDownList("ID_Produit", Model.ID_Produit, TempData["ID_Produit"] as SelectList, "280")</td>
                </tr>
                <tr>
                    <td> @Html.LabelFor(model => model.Ristourne)</td>
                    <td>  @Html.TextBoxFor(model => model.Ristourne)</td>
                </tr>
                <tr>
                    <td> @Html.LabelFor(model => model.Cumuler_Ristourne)</td>
                    <td>  @Html.CheckBoxFor(model => model.Cumuler_Ristourne)</td>
                </tr>
            </table>
            <br />
            <p>
                <button title="Valider" type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
                <button title="Annuler" type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
            </p>
        }
    </div>
</div>
<script>
    $('#formulaire').jqxValidator({
        rules: [

            { input: '#Ristourne', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            {
                input: '#Ristourne', message: 'Ce champs est un nombre supérieur a 0!', action: 'keyup, blur', rule: function (input) {
                    var zippattern = /^[1-9]\d*(,\d+)?$/;
                    return (zippattern.test(input.val()) == true);
                }
            },
        ],
    });
    $("#Ristourne").jqxInput({ placeHolder: "Nom ... ", height: 25, width: 280, theme: "ui-redmond" });

</script>